<?php
/**
 * Copyright since 2019 SAS Makeup Bag
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to tech@202-ecommerce.com so we can send you a copy immediately.
 *
 * @author    202 ecommerce <tech@202-ecommerce.com>
 * @copyright Since 2019 SAS Makeup Bag
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License (AFL 3.0)
 */

class ProductStat extends \ObjectModel
{
    /**
     * @var int
     */
    public $id_trustbeautyreviews_product_stat;

    /**
     * @var int
     */
    public $id_product;

    /**
     * @var string
     */
    public $iso_lang;

    /**
     * @var int
     */
    public $id_shop;

    /**
     * @var int
     */
    public $nb_reviews = 0;

    /**
     * @var float
     */
    public $avg_rating = 0.0;

    public $date_add;

    public $date_upd;

    public static $definition = [
        'table' => 'trustbeautyreviews_product_stat',
        'primary' => 'id_trustbeautyreviews_product_stat',
        'fields' => [
            'id_product' => [
                'type' => self::TYPE_INT,
                'validate' => 'isUnsignedInt',
                'allow_null' => false,
            ],
            'iso_lang' => [
                'type' => self::TYPE_STRING,
                'validate' => 'isString',
                'default' => '0',
                'size' => 5,
            ],
            'id_shop' => [
                'type' => self::TYPE_INT,
                'validate' => 'isUnsignedInt',
                'allow_null' => false,
            ],
            'nb_reviews' => [
                'type' => self::TYPE_INT,
                'validate' => 'isUnsignedInt',
                'allow_null' => false,
                'default' => 0,
            ],
            'avg_rating' => [
                'type' => self::TYPE_FLOAT,
                'validate' => 'isFloat',
                'size' => 3,
                'scale' => 2,
                'allow_null' => false,
                'default' => '0.0',
            ],
            'date_add' => [
                'type' => ObjectModel::TYPE_DATE,
                'validate' => 'isDate',
                'copy_post' => false,
            ],
            'date_upd' => [
                'type' => ObjectModel::TYPE_DATE,
                'validate' => 'isDate',
                'copy_post' => false,
            ],
        ],
    ];
}
