<?php
/**
 * Copyright since 2019 SAS Makeup Bag
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to tech@202-ecommerce.com so we can send you a copy immediately.
 *
 * @author    202 ecommerce <tech@202-ecommerce.com>
 * @copyright Since 2019 SAS Makeup Bag
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License (AFL 3.0)
 */

use TrustbeautyreviewsAddon\API\Response\APIResponse;

class TrustbeautyReviewsApiModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
        parent::initContent();

        $action = Tools::getValue('module_action');

        $actionDispatcher = new \TrustbeautyreviewsAddon\Action\ActionDispatcher();
        $actionHandler = $actionDispatcher->dispatch($action);
        $data = $actionHandler->handle(Tools::getAllValues());

        $response = new APIResponse($data);

        $this->ajaxDie($response->getResponse());
    }

    public function checkAccess()
    {
        $result = parent::checkAccess();

        if ($result === false) {
            $this->showTokenError();
        }

        $key = Tools::getValue('tb_key');

        $validKey = Configuration::get(TrustbeautyReviews::APIKEY);

        if (!empty($validKey) && $key === $validKey) {
            return $result;
        }

        $this->showTokenError();
    }

    protected function showTokenError()
    {
        $output = new APIResponse([
            'error' => 'Invalid tokens'
        ]);
        $this->ajaxDie($output->getResponse());
    }
}
