<?php
/**
 * Copyright since 2019 SAS Makeup Bag
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to tech@202-ecommerce.com so we can send you a copy immediately.
 *
 * @author    202 ecommerce <tech@202-ecommerce.com>
 * @copyright Since 2019 SAS Makeup Bag
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License (AFL 3.0)
 */

namespace TrustbeautyreviewsAddon\Action;

class ActionDispatcher
{
    /**
     * @param $action
     *
     * @return ActionInterface
     *
     * @throws \PrestaShopException
     */
    public function dispatch($action)
    {
        switch ($action) {
            case ActionType::CONFIG:
                return new ConfigAction();
            case ActionType::GET_PRODUCTS:
                return new GetProductsAction();
            case ActionType::GET_ORDERS:
                return new GetOrdersAction();
            default:
                throw new \PrestaShopException('Unknown action');
        }
    }
}
