<?php
/**
 * Copyright since 2019 SAS Makeup Bag
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to tech@202-ecommerce.com so we can send you a copy immediately.
 *
 * @author    202 ecommerce <tech@202-ecommerce.com>
 * @copyright Since 2019 SAS Makeup Bag
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License (AFL 3.0)
 */

namespace TrustbeautyreviewsAddon\Hook;

use Context;
use TrustbeautyreviewsClasslib\Hook\AbstractHook;

class HookCommon extends AbstractHook
{
    const AVAILABLE_HOOKS = [
        'displayHeader',
        'moduleRoutes',
    ];

    public function displayHeader()
    {
        Context::getContext()->controller->addCSS(
            __PS_BASE_URI__ . 'modules/trustbeautyreviews/views/css/trustbeautyreviews.css'
        );
    }

    public function moduleRoutes()
    {
        return [
            'module-trustbeautyreviews-api' => [
                'controller' => 'api',
                'rule' => 'tbr-api{/:module_action}{/:tb_key}',
                'keywords' => [
                    'module_action' => [
                        'regexp' => '(config|products|orders)',
                        'param' => 'module_action',
                    ],
                    'tb_key' => [
                        'regexp' => '[\w]+',
                        'param' => 'tb_key',
                    ],
                ],
                'params' => [
                    'fc' => 'module',
                    'module' => 'trustbeautyreviews',
                    'controller' => 'api',
                ],
            ],
        ];
    }
}
