<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to a commercial license from SARL 202 ecommerce
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL 202 ecommerce is strictly forbidden.
 * In order to obtain a license, please contact us: tech@202-ecommerce.com
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe 202 ecommerce
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la SARL 202 ecommerce est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter 202-ecommerce <tech@202-ecommerce.com>
 * ...........................................................................
 *
 * @author    202-ecommerce <tech@202-ecommerce.com>
 * @copyright Copyright (c) 202-ecommerce
 * @license   Commercial license
 */

namespace TrustbeautyreviewsAddon\Repository;

use Db;
use DbQuery;
use ProductStat;

class ProductRepository
{
    public function getStats($productId, $isoCode, $idShop, $lifeTime)
    {
        $query = new DbQuery();
        $query->select('id_trustbeautyreviews_product_stat, nb_reviews, avg_rating, date_upd')
            ->from(ProductStat::$definition['table'])
            ->where('id_product = ' . (int) pSQL($productId))
            ->where('iso_lang = ' . pSQL($isoCode))
            ->where('id_shop = ' . (int) pSQL($idShop))
            ->where('date_upd IS NOT NULL');
        if ($lifeTime > 0) {
            $query->where('date_upd > DATE_ADD(UTC_TIMESTAMP, INTERVAL -' . (int) pSQL($lifeTime) . ' MINUTE)');
        }

        return Db::getInstance()->getRow($query);
    }
}
