<?php
/**
 * Copyright since 2019 SAS Makeup Bag
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to tech@202-ecommerce.com so we can send you a copy immediately.
 *
 * @author    202 ecommerce <tech@202-ecommerce.com>
 * @copyright Since 2019 SAS Makeup Bag
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License (AFL 3.0)
 */

namespace TrustbeautyreviewsAddon\Service;

use Configuration;
use TrustbeautyReviews;
use TrustbeautyreviewsAddon\API\Client;
use TrustbeautyreviewsAddon\API\Request\AuthRequest;

class AuthService
{
    public function processAuth($apiKey)
    {
        $apiChecked = false;
        $result = false;

        if (empty($apiKey)) {
            $apiKey = Configuration::get(TrustbeautyReviews::APIKEY);
        }
        Configuration::updateValue(TrustbeautyReviews::APIKEY, $apiKey);

        $client = new Client();
        $request = new AuthRequest();
        $response = $client->call($request);

        if ($response['code'] == 200) {
            $apiChecked = 'true';
            $result = true;
        }

        Configuration::updateValue(TrustbeautyReviews::API_CHECKED, $apiChecked);

        return $result;
    }
}
