{**
 * Copyright since 2019 SAS Makeup Bag
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to tech@202-ecommerce.com so we can send you a copy immediately.
 *
 * @author    202 ecommerce <tech@202-ecommerce.com>
 * @copyright Since 2019 SAS Makeup Bag
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License (AFL 3.0)
 *}
{extends file="helpers/form/form.tpl"}

{block name="input" append}
    {if $input.type == 'double-list'}
        <div class="row double-list-group">
            <div class="col-lg-6 double-list-left-container">
                <span class="bold">{$input.unselected.label|escape:'htmlall':'UTF-8'}</span>
                <select id="{$input.unselected.id|escape:'htmlall':'UTF-8'}" class="input-large double-list-unselected" multiple>
                    {foreach from=$input.unselected.options item='option'}
                        <option value="{$option.value|escape:'htmlall':'UTF-8'}">&nbsp;{$option.label|escape:'htmlall':'UTF-8'}</option>
                    {/foreach}
                </select>
                <a id="{$input.unselected.btn.id|escape:'htmlall':'UTF-8'}" class="double-list-btn-select btn btn-default btn-block clearfix" >{$input.unselected.btn.label|escape:'htmlall':'UTF-8'} <i class="icon-arrow-right"></i></a>
            </div>

            <div class="col-lg-6 double-list-right-container">
                <span class="bold">{$input.selected.label|escape:'htmlall':'UTF-8'}</span>
                <select id="{$input.selected.id|escape:'htmlall':'UTF-8'}" class="input-large  double-list-selected" multiple>
                    {foreach from=$input.selected.options item='option'}
                        <option value="{$option.value|escape:'htmlall':'UTF-8'}">&nbsp;{$option.label|escape:'htmlall':'UTF-8'}</option>
                    {/foreach}
                </select>
                <a id="{$input.selected.btn.id|escape:'htmlall':'UTF-8'}" class="double-list-btn-unselect btn btn-default btn-block clearfix"><i class="icon-arrow-left"></i> {$input.selected.btn.label|escape:'htmlall':'UTF-8'}</a>
            </div>

            <div class="double-list-values hidden">
                {foreach from=$input.unselected.options item='option'}
                    <input type="checkbox" name="{$input.name|escape:'htmlall':'UTF-8'}[]" value="{$option.value|escape:'htmlall':'UTF-8'}"/>
                {/foreach}
                {foreach from=$input.selected.options item='option'}
                    <input type="checkbox" name="{$input.name|escape:'htmlall':'UTF-8'}[]" value="{$option.value|escape:'htmlall':'UTF-8'}" checked/>
                {/foreach}
            </div>
        </div>
    {/if}
{/block}